from edgeiq.bounding_box import BoundingBox as BoundingBox
from typing import Any, Optional

LOGGER: Any

def enumerate_realsense_cameras(): ...

class RealSenseFrame:
    def __init__(self, depth_frame: Any, color_frame: Any, depth_scale: Any) -> None: ...
    @property
    def image(self): ...
    @property
    def depth(self): ...
    def render_depth_image(self): ...
    def roi(self, min: Optional[Any] = ..., max: Optional[Any] = ..., shade: int = ...): ...
    def compute_object_distance(self, obj: Any): ...
    def compute_distance_between_objects(self, box1: Any, box2: Any): ...
    def get_serializable_realsense_frame(self): ...

class SerializableRealSenseFrame(RealSenseFrame):
    def __init__(self, depth_array: Any, color_array: Any, depth_scale: Any) -> None: ...
    def compute_object_distance(self, obj: Any): ...
    def compute_distance_between_objects(self, box1: Any, box2: Any) -> None: ...

class RealSense:
    def __init__(self, device_serial_number: Optional[Any] = ...) -> None: ...
    def start(self): ...
    def read(self): ...
    def __enter__(self): ...
    def __exit__(self, type: Any, value: Any, traceback: Any) -> None: ...
    def __del__(self) -> None: ...
    def stop(self) -> None: ...
